<?php

namespace App\Http\Controllers;

use Illuminate\Foundation\Auth\Access\AuthorizesRequests;
use Illuminate\Foundation\Bus\DispatchesJobs;
use Illuminate\Foundation\Validation\ValidatesRequests;
use App\Models\User;
use Carbon\Carbon;
use Twilio\Rest\Client;
use Illuminate\Routing\Controller as BaseController;

class Controller extends BaseController
{
    use AuthorizesRequests, DispatchesJobs, ValidatesRequests;

    public function checkToken($user_id,$user_token)
    {
        $verifiedToken = User::query()->select('id')->where('id',$user_id)->where('user_token',$user_token)->get();

        if(count($verifiedToken) > 0){
           return $verifiedToken[0]->id;
       }
    }

    public function getUserData($user)
    {
        $user_data = [
            'user_id' => $user->user_id,
            'username' => $user->username,
            'email' => $user->email,
            'provider_name' => $user->provider_name,
            'provider_id' => $user->provider_id,
            'provider_token' => $user->provider_token,
            'auth_provider_id' => $user->auth_provider_id,
            'gold' => $user->gold,
            'solum' => $user->solum,
            'duplicate_shards' => $user->duplicate_shards,
            'level' => $user->level,
            'xp' => $user->xp,
            'rating' => $user->rating,
            'collection_score' => $user->collection_score,
            'win_streak' => $user->win_streak,
            'user_token' => $user->user_token,
            'login_device' => $user->login_device,
            'linked_at' => $user->linked_at,
            'last_login' => $user->user_token,
        ];

        return $user_data;
    }
}
