<?php
namespace App\Http\Controllers\api;

use App\Http\Controllers\Controller;
use App\Models\Staticpage;
use App\Models\Country;
use Illuminate\Http\Request;
use Illuminate\Support\Facades\Validator;

class StaticpageController extends Controller
{
	public function getstaticpage(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id'          => 'required',
            'user_token'          => 'required',
            'pageId'          => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 403);
        }

        $input = $request->all();

        $verifieduser_id = Controller::checkToken($input['user_id'], $input['user_token']);

        if ($verifieduser_id == $input['user_id'])
        {
            $input = $request->all();

            $data = Staticpage::where('id', '=', $input['pageId'])->first();

            if($data->count()>0)
            {
                $sucess['id'] = $data->id;
                $sucess['page_title'] = $data->page_title;
                $sucess['short_description'] = $data->short_description;
                $sucess['description'] = $data->description;

                $sucess['picture'] = '';
                if ($data->picture) {
                    $profileImagePath = public_path() . "/uploads/staticpage_images/" . $data->picture;

                    if (file_exists($profileImagePath)) {
                        $sucess['picture'] = asset('/uploads/staticpage_images/' . $data->picture);
                    }
                }

                if($data->id == 1)
                {

                    $sucess['contact'] = $data->contact;
                    $sucess['email'] = $data->email;
                    $sucess['address'] = $data->address;
                }

                return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$sucess],200);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
            }
        }else{
            return response()->json(['status' => 0, 'message' => 'You are not authorized please login again'],401);
        }
	}

    public function getAboutPage(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id'    => 'required',
            'user_token' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 403);
        }

        $input = $request->all();

        $verifieduser_id = Controller::checkToken($input['user_id'], $input['user_token']);

        if ($verifieduser_id == $input['user_id'])
        {
            $input = $request->all();

            $data = Staticpage::where('id', 1)->first();

            if($data->count()>0)
            {
                $sucess['id'] = $data->id;
                $sucess['page_title'] = $data->page_title;
                $sucess['short_description'] = $data->short_description;
                $sucess['description'] = $data->description;

                $sucess['picture'] = '';
                if ($data->picture) {
                    $profileImagePath = public_path() . "/uploads/staticpage_images/" . $data->picture;

                    if (file_exists($profileImagePath)) {
                        $sucess['picture'] = asset('/uploads/staticpage_images/' . $data->picture);
                    }
                }

                $sucess['contact'] = $data->contact;
                $sucess['email'] = $data->email;
                $sucess['address'] = $data->address;

                return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$sucess],200);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
            }
        }else{
            return response()->json(['status' => 0, 'message' => 'You are not authorized please login again'],401);
        }
	}

    public function getPrivacyPage(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id'    => 'required',
            'user_token' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 403);
        }

        $input = $request->all();

        $verifieduser_id = Controller::checkToken($input['user_id'], $input['user_token']);

        if ($verifieduser_id == $input['user_id'])
        {
            $input = $request->all();

            $data = Staticpage::where('id', 2)->first();

            if($data->count()>0)
            {
                $sucess['id'] = $data->id;
                $sucess['page_title'] = $data->page_title;
                $sucess['short_description'] = $data->short_description;
                $sucess['description'] = $data->description;

                $sucess['picture'] = '';
                if ($data->picture) {
                    $profileImagePath = public_path() . "/uploads/staticpage_images/" . $data->picture;

                    if (file_exists($profileImagePath)) {
                        $sucess['picture'] = asset('/uploads/staticpage_images/' . $data->picture);
                    }
                }

                return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$sucess],200);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
            }
        }else{
            return response()->json(['status' => 0, 'message' => 'You are not authorized please login again'],401);
        }
	}

    public function getTermsPage(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id'    => 'required',
            'user_token' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 403);
        }

        $input = $request->all();

        $verifieduser_id = Controller::checkToken($input['user_id'], $input['user_token']);

        if ($verifieduser_id == $input['user_id'])
        {
            $input = $request->all();

            $data = Staticpage::where('id', 3)->first();

            if($data->count()>0)
            {
                $sucess['id'] = $data->id;
                $sucess['page_title'] = $data->page_title;
                $sucess['short_description'] = $data->short_description;
                $sucess['description'] = $data->description;

                $sucess['picture'] = '';
                if ($data->picture) {
                    $profileImagePath = public_path() . "/uploads/staticpage_images/" . $data->picture;

                    if (file_exists($profileImagePath)) {
                        $sucess['picture'] = asset('/uploads/staticpage_images/' . $data->picture);
                    }
                }

                return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$sucess],200);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
            }
        }else{
            return response()->json(['status' => 0, 'message' => 'You are not authorized please login again'],401);
        }
	}

    public function getContactPage(Request $request)
    {
        $validator = Validator::make($request->all(), [
            'user_id'    => 'required',
            'user_token' => 'required',
        ]);

        if ($validator->fails()) {
            return response()->json(['error' => $validator->errors()], 403);
        }

        $input = $request->all();

        $verifieduser_id = Controller::checkToken($input['user_id'], $input['user_token']);

        if ($verifieduser_id == $input['user_id'])
        {
            $input = $request->all();

            $data = Staticpage::where('id', 4)->first();

            if($data->count()>0)
            {
                $sucess['id'] = $data->id;
                $sucess['page_title'] = $data->page_title;
                $sucess['short_description'] = $data->short_description;
                $sucess['description'] = $data->description;

                $sucess['picture'] = '';
                if ($data->picture) {
                    $profileImagePath = public_path() . "/uploads/staticpage_images/" . $data->picture;

                    if (file_exists($profileImagePath)) {
                        $sucess['picture'] = asset('/uploads/staticpage_images/' . $data->picture);
                    }
                }

                return response()->json(['status'=>1,'message'=>'Staticpage data found','result'=>$sucess],200);
            }
            else
            {
                return response()->json(['status'=>0,'message'=>'Staticpage Not Found'],200);
            }
        }else{
            return response()->json(['status' => 0, 'message' => 'You are not authorized please login again'],401);
        }
	}

    public function getCountry(Request $request)
    {
        $data = Country::get();

        if($data->count()>0)
        {
            return response()->json(['status'=>1,'message'=>'Country data found','result'=>$data],200);
        }
        else
        {
            return response()->json(['status'=>0,'message'=>'Country Not Found'],200);
        }
    }
}
?>
