<?php

namespace App\Models;

use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Foundation\Auth\User as Authenticatable;
use Tymon\JWTAuth\Contracts\JWTSubject;

//class User extends Authenticatable
class User extends Authenticatable implements JWTSubject
{
    use HasFactory;

    protected $primaryKey = 'user_id';

    protected $fillable = [
        'user_id',
        'username',
        'email',
        'password',
        'provider_name',
        'provider_id',
        'provider_token',
        'auth_provider_id',
        'gold',
        'solum',
        'duplicate_shards',
        'level',
        'xp',
        'rating',
        'collection_score',
        'win_streak',
        'user_token',
        'login_device',
        'linked_at',
        'last_login',
    ];

    protected $hidden =['password','user_token'];

    public function getJWTIdentifier()
    {
        //return $this->getKey();
        return (string) $this->getKey(); // Ensure it's a string
    }

    public function getJWTCustomClaims()
    {
        return [];
    }

    public function token_update($token)
    {
        $this->update(['user_token'=>$token]);
    }

    public function country()
    {
        return $this->belongsTo(Country::class, 'countryId', 'id');
    }
}
