<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

class CreateUsersTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('users', function (Blueprint $table) {
            $table->id();
            $table->string('firstName', '100')->index('firstName');
            $table->string('lastName', '100')->index('lastName');
            $table->string('email', '100');
            $table->string('password', '255')->index('password');
            $table->integer('contactNumber');
            $table->string('profilePicture', '255')->nullable();
            $table->string('userType', '255')->nullable();
            $table->string('userToken', '255')->nullable();
            $table->tinyInteger('isActive')->default(1)->index('isActive')->comment('1=Active=Deactive');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('users');
    }
}
