<?php

use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| Web Routes
|--------------------------------------------------------------------------
|
| Here is where you can register web routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| contains the "web" middleware group. Now create something great!
|
*/

Route::get('', function () {
    return redirect('/login');
})->name('index');
Route::get('/login', 'AuthController@login')->name('login');
Route::post('/login', 'AuthController@submitlogin')->name('submitlogin');
Route::get('/logout', 'AuthController@logout')->name('logout');

Route::group(['middleware' => 'auth:admin'], function(){
	//Dashboard
	Route::get('/dashboard', 'DashboardController@index')->name('dashboard');

	//USER
	Route::get('/manageuser', 'UserController@manage')->name('user.manage');
	Route::get('/adduser', 'UserController@add')->name('user.add');
	Route::post('/adduser', 'UserController@save')->name('user.save');
	Route::get('/edituser/{id}', 'UserController@edit')->name('user.edit');
	Route::post('/edituser', 'UserController@update')->name('user.update');
	Route::get('/deleteuser/{id}', 'UserController@delete')->name('user.delete');
	Route::get('/searchuser', 'UserController@search')->name('user.search');

    //Staticpages
	Route::get('/staticpages/{id}', 'StaticpageController@getpage')->name('staticpage.getpage');
	Route::post('/staticpages', 'StaticpageController@updatepage')->name('staticpage.updatepage');

    //Country
	Route::get('/managecountry', 'CountryController@managecountry')->name('country.managecountry');
	Route::get('/searchcountry', 'CountryController@searchcountry')->name('country.searchcountry');

});

?>