<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider within a group which
| is assigned the "api" middleware group. Enjoy building your API!
|
*/


Route::middleware('auth:api')->get('/user', function (Request $request) {
    return $request->user();
});

Route::get('/getstaticpage', 'StaticpageController@getstaticpage')->name('getstaticpage');
Route::get('/getAboutPage', 'StaticpageController@getAboutPage')->name('getAboutPage');
Route::get('/getPrivacyPage', 'StaticpageController@getPrivacyPage')->name('getPrivacyPage');
Route::get('/getTermsPage', 'StaticpageController@getTermsPage')->name('getTermsPage');
Route::get('/getContactPage', 'StaticpageController@getContactPage')->name('getContactPage');
Route::get('/getCountry', 'StaticpageController@getCountry')->name('getCountry');

// User

Route::post('/login', 'AuthController@login')->name('login');
Route::post('/register', 'AuthController@register')->name('register');
Route::post('/facebookLogin', 'AuthController@facebookLogin')->name('facebookLogin');
Route::post('/googleLogin', 'AuthController@googleLogin')->name('googleLogin');
Route::post('/appleLogin', 'AuthController@appleLogin')->name('appleLogin');
Route::post('/guestLogin', 'AuthController@guestLogin')->name('guestLogin');

// Protected routes that require JWT authentication
Route::middleware('jwt.auth')->group(function () {
    Route::post('/auto-login', 'AuthController@autoLogin')->name('auto-login');
    Route::post('/updateProfile', 'AuthController@updateProfile')->name('updateProfile');
    Route::post('/userPurchase', 'AuthController@userPurchase')->name('userPurchase');
    Route::get('/userHistory', 'AuthController@userHistory')->name('userHistory');
    Route::get('/getProductlist', 'ProductController@getProductlist')->name('getProductlist');
});


/*
Route::post('/register','UserController@register')->name('register');
Route::post('/login','UserController@login')->name('login');
Route::post('/updateProfile','UserController@updateProfile')->name('updateProfile');
Route::post('/forgotPassword','UserController@forgotPassword')->name('forgotPassword');
Route::post('/changePassword','UserController@changePassword')->name('changePassword');
Route::post('/deleteAccount','UserController@deleteAccount')->name('deleteAccount');
Route::post('/logout','UserController@logout')->name('logout'); */

//Device Register
Route::post('/iosDeviceRegister', 'DeviceregisterController@iosDeviceRegister')->name('iosDeviceRegister');