<!DOCTYPE html>
<html lang="en">

<head>
<?php echo $__env->make('adminpanel.include.top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</head>

<body>

    <div id="sitemain">

        <!-- BEGIN :: DASHBOARD -->

        <div class="dashboard-main" id="dashboard">

            <?php echo $__env->make('adminpanel.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="dashboard-right-side-main">

                <?php echo $__env->make('adminpanel.include.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <?php
                $label = "Create";
                $name = "";
                $price = "";
                $categoryId = "";

                $image   = asset('adminpanel/images/default-user.jpg');

                $id = "";
                $isError = false;
                $formRoute = 'adminpanel.service.save';
                if(isset($data['error']))
                {
                    $isError = true;
                    if($data['type']=="Edit") {
                        $label = "Edit";
                        $formRoute = 'adminpanel.service.update';
                    }
                    $name = $data['input']['name'];
                    $image = $data['input']['image'];
                    $price = $data['input']['price'];
                    $categoryId = $data['input']['categoryId'];
                }
                else
                {
                    if($data['type'] == "edit") {
                        $label = "Edit";
                        $name = $data['input'][0]->name;
                        $price = $data['input'][0]->price;
                        $categoryId = $data['input'][0]->categoryId;
                        $id = $data['input'][0]->id;

                        $image = $data['input'][0]->image;

                        if($image!="" && $image!=null)
                        {
                            if(file_exists(public_path()."/uploads/Services/".$image))
                            {
                                $image = asset('/uploads/Services/'.$image);
                            }
                        }

                        $formRoute = 'adminpanel.service.update';
                    }
                }
                ?>
                <div class="top-dashboard-title">
                    <div class="d-code-main">
                        <div class="d-title">
                            <h4><strong><?php echo e($label); ?> Service</strong><span>|</span>Enter service details and submit </h4>
                        </div>
                    </div>
                </div>

                <div class="dashboard-content-main add-user-main">
                    <div class="add-user-one-main-content">
                        <?php if($errors->any()): ?>
                            <div class="error-message-box">
                                <p><?php echo e($errors->first()); ?></p>
                            </div>
                        <?php endif; ?>
                        <?php if($isError): ?>
                            <div class="error-message-box">
                                <?php foreach($data['error']->all() as $error) {
                                    echo "<p>". $error . "</p>";
                                } ?>
                            </div>
                        <?php endif; ?>
                        <?php echo e(Form::open(array('route' => $formRoute, 'method' => 'post', 'enctype' => 'multipart/form-data'))); ?>

                            <?php echo e(Form::hidden(
                                'id', $id
                                )); ?>

                            <div class="user-pro-detail-main-content">
                                <div class="user-pro-detail-sub-content">
                                    <div class="user-pro-detail-content">
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Select Service Category</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::select(
                                                    'categoryId',
                                                    $data['categories']->pluck('name', 'id'),
                                                    $categoryId,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Select Service Category',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Service Image</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                                    <img src="<?php echo e($image); ?>" id="logoimg1" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                                    <div class="button-wrapper">
                                                        <span class="label">
                                                            <img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>">
                                                        </span>
                                                        <?php echo e(Form::file(
                                                                'image',
                                                                [
                                                                    'class'         => 'upload-box',
                                                                    'id'            => 'image',
                                                                    'placeholder'   => 'Select Service Image',
                                                                    'onchange'      => 'displaySingleImagePreview(this, "logoimg1")'
                                                                ]
                                                            )); ?>

                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Service Name</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::text(
                                                    'name', $name,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter Service Name',
                                                        'required' => true
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Enter Service Price</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <?php echo e(Form::number(
                                                    'price', $price,
                                                    [
                                                        'class' => 'form-control',
                                                        'placeholder' => 'Enter Service Price',
                                                        'required' => true,
                                                        'step' => '0.01',
                                                        'min' => '0'
                                                    ]
                                                    )); ?>

                                            </div>
                                        </div>
                                    </div>
                                    <div class="next-step-btn-main">
                                        <?php echo e(Form::button(
                                            'Save',
                                            [
                                                'class' => 'next-step',
                                                'type' => 'submit'
                                            ]
                                            )); ?>

                                    </div>
                                </div>
                            </div>
                        <?php echo e(Form::close()); ?>

                    </div>
                </div>

                <?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            </div>

        </div>

        <!-- END** :: DASHBOARD -->

    </div>

    <div class="index-top-text-main">
        <div class="container">
            <div class="row">
                <div class="index-top-text-sub">
                    <h1></h1>
                    <p></p>
                </div>
            </div>
        </div>
    </div>

    <script src="<?php echo e(asset('adminpanel/js/jquery.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap-multiselectsplitter.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-touchspin/4.2.5/jquery.bootstrap-touchspin.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/slick.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/gijgo.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/tagsinput.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery.bootstrap-touchspin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/file-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/ckeditor/ckeditor.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/custom.js')); ?>"></script>

    <script>
        CKEDITOR.replace( 'description' );
    </script>

</body>

</html>
<?php /**PATH /home/keshavvps/public_html/keshav/KG1/Mohd/resources/views/adminpanel/addservice.blade.php ENDPATH**/ ?>