<!DOCTYPE html>
<html lang="en">

<head>
<?php echo $__env->make('adminpanel.include.top', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>
</head>

<body>

    <div id="sitemain">

        <!-- BEGIN :: DASHBOARD -->

        <div class="dashboard-main" id="dashboard">

            <?php echo $__env->make('adminpanel.include.sidebar', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            <div class="dashboard-right-side-main">

                <?php echo $__env->make('adminpanel.include.header', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

                <?php
                $label = "Update";
                $page_title = "";
                $short_description = "";
                $description = "";
                $contact = "";
                $email = "";
                $address = "";
                $id = "";
                $isError = false;
                $formURL = route('adminpanel.staticpage.updatepage');
                $picture = asset('adminpanel/images/default-user.jpg');

                if(isset($data['error'])) {
                    $isError = true;
                    $page_title = $data['pagedata']['page_title'];
                    $short_description = $data['pagedata']['short_description'];
                    $description = $data['pagedata']['description'];
                } else {
                    if($data['type'] == "edit") {

                        $id = $data['pagedata'][0]->id;
                        $page_title = $data['pagedata'][0]->page_title;
                        $short_description = $data['pagedata'][0]->short_description;
                        $description = $data['pagedata'][0]->description;

                        $picture1 = $data['pagedata'][0]->picture;
                        if($picture1!="" && $picture1!=null) {
                            if(file_exists(public_path()."/uploads/staticpage_images/".$picture1)) {
                                $picture = asset('uploads/staticpage_images/'.$picture1);
                            }
                        }
                        if($id==1){
                            $contact = $data['pagedata'][0]->contact;
                            $email = $data['pagedata'][0]->email;
                            $address = $data['pagedata'][0]->address;
                        }
                    }
                }
                ?>
                <div class="top-dashboard-title">
                    <div class="d-code-main">
                        <div class="d-title">
                            <h4><strong><?php echo e($label); ?> Staticpage</strong><span>|</span>Enter staticpage details and submit </h4>
                        </div>
                    </div>
                </div>

                <div class="dashboard-content-main add-user-main">
                    <div class="add-user-one-main-content">
                        <div class="add-user-one-main-content-top">
                            <?php if(session()->has('success')): ?>
                                <div class="success-message-box">
                                    <?php echo e(session('success')); ?>

                                </div>
                            <?php endif; ?>
                            <?php if($isError): ?>
                                <div class="error-message-box">
                                    <?php foreach($data['error']->all() as $error) {
                                        echo "<p>". $error . "</p>";
                                    } ?>
                                </div>
                            <?php endif; ?>
                        </div>
                        <form method="post" action="<?php echo e($formURL); ?>" enctype="multipart/form-data">
                            <input name="_token" type="hidden" value="<?php echo e(csrf_token()); ?>"/>
                            <input name="id" type="hidden" value="<?php echo e($id); ?>"/>
                            <div class="user-pro-detail-main-content">
                                <div class="user-pro-detail-sub-content">
                                    <div class="user-pro-detail-main-content-title">
                                        <h1>Static page management:</h1>
                                    </div>
                                    <div class="user-pro-detail-content">
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Page information image</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <div class="user-img-main" style="display: flex; flex-direction: row; align-items: center; justify-content: center;">
                                                    <img src="<?php echo e($picture); ?>" id="useimg" style="max-width: 100%; max-height: 100%; width: auto; height: auto;">
                                                    <div class="button-wrapper">
                                                        <span class="label"><img src="<?php echo e(asset('adminpanel/images/pencil-edit-button.svg')); ?>"></span>
                                                        <input type="file" name="picture" id="upload" class="upload-box" placeholder="Upload File" onchange="displaySingleImagePreview(this, 'useimg')">
                                                    </div>
                                                </div>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Page title</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type="text" placeholder="Enter page title" name="page_title" class="form-control" value="<?php echo e($page_title); ?>">
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Short Description</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <textarea placeholder="Enter Short description" name="short_description" class="form-control"><?php echo e($short_description); ?></textarea>
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Page description</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <textarea name="description"><?php echo e($description); ?></textarea>
                                            </div>
                                        </div>
                                        <?php
                                        if($id==1)
                                        {
                                        ?>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Contact</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type="text" placeholder="Enter contact" name="contact" class="form-control" value="<?php echo e($contact); ?>">
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Email</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type="text" placeholder="Enter email" name="email" class="form-control" value="<?php echo e($email); ?>">
                                            </div>
                                        </div>
                                        <div class="user-pro-detail-content-dt-one">
                                            <div class="user-pro-detail-content-left">
                                                <label>Address</label>
                                            </div>
                                            <div class="user-pro-detail-content-right">
                                                <input type="text" placeholder="Enter address" name="address" class="form-control" value="<?php echo e($address); ?>">
                                            </div>
                                        </div>
                                        <?php
                                        }
                                        ?>
                                    </div>
                                    <div class="next-step-btn-main">
                                        <button type="submit" class="next-step">Save</button>
                                    </div>
                                </div>
                            </div>
                        </form>
                    </div>
                </div>

                <?php echo $__env->make('adminpanel.include.footer', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?>

            </div>

        </div>

        <!-- END** :: DASHBOARD -->

    </div>

    <div class="index-top-text-main">
        <div class="container">
            <div class="row">
                <div class="index-top-text-sub">
                    <h1></h1>
                    <p></p>
                </div>
            </div>
        </div>

    </div>

    <script src="<?php echo e(asset('adminpanel/js/jquery.min.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.7/umd/popper.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/bootstrap-multiselectsplitter.js')); ?>"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/bootstrap-touchspin/4.2.5/jquery.bootstrap-touchspin.min.js"></script>
    <script src="https://cdn.jsdelivr.net/gh/gitbrent/bootstrap4-toggle@3.6.1/js/bootstrap4-toggle.min.js"></script>
    <script src="<?php echo e(asset('adminpanel/js/slick.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/gijgo.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/tagsinput.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/jquery.bootstrap-touchspin.min.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/file-upload.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/ckeditor/ckeditor.js')); ?>"></script>
    <script src="<?php echo e(asset('adminpanel/js/custom.js')); ?>"></script>

    <script>
        CKEDITOR.replace( 'description' );
    </script>
</body>

</html>
<?php /**PATH /home/keshavvps/public_html/keshav/KG1/KAVI/resources/views/adminpanel/staticpage.blade.php ENDPATH**/ ?>